Bug 559484 - [abrt] crash in calibre-0.6.35-3.fc12
Summary: [abrt] crash in calibre-0.6.35-3.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ec426a22
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-28 09:31 UTC by Boricua
Modified: 2011-01-22 20:33 UTC (History)
117 users (show)

Fixed In Version: calibre-0.7.38-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-22 20:29:38 UTC


Attachments (Terms of Use)
File: backtrace (569 bytes, text/plain)
2010-01-28 09:31 UTC, Boricua
no flags Details
patch for spec file (1.08 KB, patch)
2010-05-13 21:20 UTC, Michal Nowak
no flags Details | Diff
rebased patch for 0.6.52 (1.73 KB, patch)
2010-05-13 21:20 UTC, Michal Nowak
no flags Details | Diff
New patch enabling mount-helper (425 bytes, patch)
2010-05-13 21:23 UTC, Michal Nowak
no flags Details | Diff
we are extracting tar.gz file nor tar.bz2 (338 bytes, patch)
2010-05-13 21:26 UTC, Michal Nowak
no flags Details | Diff
part of var log messages for abrt report of calibre crash (2.93 KB, text/plain)
2010-09-26 10:47 UTC, collura
no flags Details

Description Boricua 2010-01-28 09:31:45 UTC
abrt 1.0.4 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/calibre-parallel
comment: It seems to be some kind of conflict with SELinux (running in permissive mode). Two alerts are emitted, one stating that "SELinux is preventing /usr/libexec/abrt-hook-python "connect" access"; the other that "SELinux is preventing /usr/libexec/abrt-hook-python "getattr" access on /."
component: calibre
executable: /usr/bin/calibre-parallel
kernel: 2.6.31.12-174.2.3.fc12.x86_64
package: calibre-0.6.35-3.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TBec426a22 worker.py:88:main:EOFError

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 88, in main
    name, args, kwargs, desc = conn.recv()
EOFError

Local variables in innermost frame:
resultf: '/tmp/calibre_ipc_result_1_4.pickle'
isosx: False
key: 'Vu\x8f\x9d\xad\xab\xae\xfag\x9d77(~\xf9\x0fN\x863\n\xc0\xac\xdd\x9e\x00\xa9\xac\xdcb\x99\xfcM'
conn: <read-write Connection, handle -1>
address: '/tmp/pymp-iAtTuR/listener-VRrmoF'

How to reproduce
-----
1.Click "quit" from the calibre icon in gnome taskbar
2.Calibre crash
3.SELinux inmediatelly shows suspicious behavior

Comment 1 Boricua 2010-01-28 09:31:47 UTC
Created attachment 387278 [details]
File: backtrace

Comment 2 Petr 2010-03-10 20:43:54 UTC

How to reproduce
-----
1. Start Calibre on Fedora 12 (i386)
2. Exit Calibre on Fedora 12 and ... Bang - new Crash!

Comment 3 Petr 2010-03-10 20:45:43 UTC

How to reproduce
-----
1. Start Calibre on Fedora 12 (i386)
2. Exit Calibre on Fedora 12 and ... Bang - new Crash!


Comment
-----
Install Calibre 0.6.42 on Fedora 12, run it, exit application (at least - try exit) - that's it.

Comment 4 Zak 2010-03-12 10:54:12 UTC

How to reproduce
-----
1. Run calibre
2. Shutdown calibre
3.


Comment
-----
Crashes on shutdown of calibre everytime.

Comment 5 Renat Nasyrov 2010-03-14 21:17:33 UTC

How to reproduce
-----
1. Run
2. Exit

Comment 6 Alexey Kazakov 2010-03-17 12:52:34 UTC

How to reproduce
-----
1. Start calibre
2. Do something
3. Exit calibre


Comment
-----
Calibre crashes on exit

Comment 7 Srinivasa Sha S R 2010-03-19 17:56:02 UTC

How to reproduce
-----
1.open calibre
2.close calibre
3.

Comment 8 Bug Reporter 2010-03-22 11:11:15 UTC

How to reproduce
-----
1. I closed calibre
2.
3.

Comment 9 Garrett Mitchener 2010-03-24 20:00:49 UTC

How to reproduce
-----
I was trying to send books to my kindle

Comment 10 Roberts Klotins 2010-03-25 07:39:56 UTC

How to reproduce
-----
1. Start calibre
2. Minimize it to system tray
3. r-click the icon in system tray and choose quit: => abrt message about crash in calibre will appear


Comment
-----
Does not seem to lead to loss of data so far, but makes you feel a bit insecure - why this is happening.

But it is a great app, cheers!

Robert

Comment 11 Luis Garza 2010-04-07 22:52:47 UTC

How to reproduce
-----
1. add book
2. edit metadata
3. fetch metadata from server
4. Error

Comment 12 Damien Grassart 2010-04-12 12:11:16 UTC

Comment
-----
Crashes when I close the Calibre window.

Comment 13 William M. Quarles 2010-04-13 12:11:48 UTC

How to reproduce
-----
1. I don't know

Comment 14 Salamandra 2010-04-13 12:57:30 UTC

How to reproduce
-----
1.close program
2.
3.

Comment 15 Chunnayya Munnayya 2010-04-15 07:34:48 UTC

How to reproduce
-----
1. Exited Calibre
2.
3.

Comment 16 afgonzaga 2010-04-20 16:05:57 UTC

How to reproduce
-----
1.  Exit Calibre after removing a book from library.
2.
3.

Comment 17 Kerry 2010-04-21 06:12:28 UTC

Comment
-----
Closed the program

Comment 18 Isaac Fischer 2010-04-26 07:09:28 UTC
Package: calibre-0.6.42-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Closed the application.


Comment
-----
Closed the application.

Comment 19 Gerard Ryan 2010-04-27 02:39:14 UTC
Package: calibre-0.6.42-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Attached Sony PRS-505
2. Launched calibre
3. Imported epub document to calibre library, sent it to device.
4. Quit calibre, then it crashed.

Comment 20 P. A. López-Valencia 2010-04-27 18:15:23 UTC
Package: calibre-0.6.42-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
This seems to happen everytime you quit the application from the system tray menu (only way to do it if using default settings, btw).

Comment 21 W8JSA 2010-04-30 15:55:02 UTC
Package: calibre-0.6.42-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----

Comment 22 Jeffrey S Austin 2010-04-30 23:38:59 UTC
Package: calibre-0.6.42-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----

Comment 23 Orod Moeini 2010-05-02 16:52:10 UTC
Package: calibre-0.6.42-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open and then close the program
2.
3.

Comment 24 Michal Nowak 2010-05-04 06:18:06 UTC
Package: calibre-0.6.42-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. First time I ran and played with calibre.
2.
3.


Comment
-----
newman ~ $ calibre
Upgrading database to version 2...
Upgrading database to version 3...
Upgrading database to version 4...
Upgrading database to version 5...
Upgrading database to version 6...
Upgrading database to version 7...
Upgrading database to version 8...
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
link  hasn't been detected!
InputFormatPlugin: EPUB Input running
on /home/newman/Library/John Schember/Calibre Quick Start Guide (1)/Calibre Quick Start Guide - John Schember.epub
InputFormatPlugin: EPUB Input running
on /home/newman/Library/John Schember/Calibre Quick Start Guide (1)/Calibre Quick Start Guide - John Schember.epub
link  hasn't been detected!
link  hasn't been detected!
InputFormatPlugin: EPUB Input running
on /home/newman/Library/John Schember/Calibre Quick Start Guide (1)/Calibre Quick Start Guide - John Schember.epub
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.RuntimeError'> ignored
Traceback (most recent call last):
  File "/usr/lib/calibre/calibre/gui2/viewer/documentview.py", line 606, in load_finished
    spine_index = self.manager.load_finished(bool(ok))
  File "/usr/lib/calibre/calibre/gui2/viewer/main.py", line 485, in load_finished
    self.set_page_number(self.view.scroll_fraction)
  File "/usr/lib/calibre/calibre/gui2/viewer/documentview.py", line 522, in scroll_fraction
    return self.document.scroll_fraction
  File "/usr/lib/calibre/calibre/gui2/viewer/documentview.py", line 371, in scroll_fraction
    return float(self.ypos)/(self.height-self.window_height)
RuntimeError: maximum recursion depth exceeded

link  hasn't been detected!
link  hasn't been detected!
Exception in thread Thread-6 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
  File "/usr/lib/python2.6/threading.py", line 525, in __bootstrap_inner
  File "/usr/lib/calibre/calibre/gui2/device.py", line 172, in run
  File "/usr/lib/calibre/calibre/gui2/device.py", line 134, in detect_device
  File "/usr/lib/calibre/calibre/devices/scanner.py", line 140, in scan
  File "/usr/lib/calibre/calibre/devices/scanner.py", line 87, in __call__
<type 'exceptions.AttributeError'>: 'NoneType' object has no attribute 'join'
Exception in thread Thread-5 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
  File "/usr/lib/python2.6/threading.py", line 525, in __bootstrap_inner
  File "/usr/lib/calibre/calibre/gui2/device.py", line 445, in run
  File "/usr/lib/python2.6/threading.py", line 115, in acquire
<type 'exceptions.TypeError'>: 'NoneType' object is not callable

Comment 25 Patrick O'Callaghan 2010-05-06 14:22:03 UTC
Package: calibre-0.6.42-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Attempt to run server on port 8888
2.get error message that port 8080 (sic) is not free
3.quit calibre


Comment
-----
Cailbre doesn't seem to take note of the user-configured server port. Also, quitting causes a crash.

Comment 26 Michal Nowak 2010-05-06 14:39:30 UTC
Ionuț: Is there a upstream bug report about this long standing issue?

Can we also have a newer release (it may be fixed there...).

Comment 27 Pedro Silva 2010-05-10 09:42:22 UTC
Package: calibre-0.6.42-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Close calibre


Comment
-----
ABRT reported this error when I closed calibre.

Comment 28 Pedro Silva 2010-05-10 09:46:22 UTC
Could we bump the Calibre's version? Koji already has version 0.6.47 for F13 and F14. Calibre's website has version 0.6.52.

Thanks in advance!

Comment 29 Fedora Admin XMLRPC Client 2010-05-13 04:25:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 30 Michal Nowak 2010-05-13 08:05:41 UTC
I build calibre-0.6.52 myself (need chmlib-devel and removal of cssutils specific patch after I updated to python-cssutils-0.9.6 from Koji, and enabled that mount helper; from what I remember) and it works somewhat better, however when started in terminal I still can see bunch of weird backtraces and the UI seems to me quite ugly but frankly I am not used to KDE/Qt interfaces.

I can give you, Kevin, patch to 0.6.52 if needed.

Comment 31 Kevin Fenzi 2010-05-13 12:53:18 UTC
Sure, patches welcome. 

I'm heading out on a trip, but will look at this as soon as time permits.

Comment 32 Michal Nowak 2010-05-13 21:20:08 UTC
Created attachment 413896 [details]
patch for spec file

Comment 33 Michal Nowak 2010-05-13 21:20:56 UTC
Created attachment 413897 [details]
rebased patch for 0.6.52

Comment 34 Michal Nowak 2010-05-13 21:23:28 UTC
Created attachment 413898 [details]
New patch enabling mount-helper

I was not investigating what this .c file does but 0.6.52 was looking for this file whan was missing - calibre was working but fine but in terminal I was polling for this binary.

Comment 35 Michal Nowak 2010-05-13 21:26:39 UTC
Created attachment 413900 [details]
we are extracting tar.gz file nor tar.bz2

Perhaps we could change the last line to produce XZ (and change Source line in accordingly)?

Comment 36 Michal Nowak 2010-05-13 21:27:22 UTC
All patches submitted, hope you find them useful.

Comment 37 Christopher Granade 2010-05-20 05:15:15 UTC
Package: calibre-0.6.42-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Occured while quitting Calibre after unsuccessfully trying to view a Kindle-formatted book.

Comment 38 Kevin Fenzi 2010-05-21 17:27:06 UTC
ok, finally back and able to look at this. ;) 
The patch from comment 33 is just an update to the manpages patch? 

Testing out the mount-helper patch now. 
The generate-tarball.sh fix looks good. 

Thanks for the patches!

Comment 39 Kevin Fenzi 2010-05-21 22:07:19 UTC
ok. I done some testing here and the new version looks pretty good. 

We need to get python-cssutils updated before the new version will build, I've mailed the maintainer about it. 

I will push the new version to rawhide and get f12/f13 testing packages once python-cssutils is done.

Comment 40 Kevin Fenzi 2010-05-23 20:50:07 UTC
Greetings.

I have created a test build of the latest calibre version for Fedora 12.

Can you please update from:             
http://koji.fedoraproject.org/koji/taskinfo?taskID=2204259

And see if you can reproduce this bug?

Comment 41 Michal Nowak 2010-05-24 11:06:21 UTC
I rebuilt 0.6.54 for F-13 myself and seems pretty good (random crashes still present...), however when calibre is started from terminal I can see it tries to poll for ebook reader device via that mount helper, which is missing. I guess I enabled it in one of my previous patches. (Well I am afraid that mount helper is SUID binary...)

With mount helper it works like this: You plug ebook (Kindle DX in my case) and it shows up in calibre. W/o mount helper calibre looks for mount helper indefinitely and I have to mount Kindle via mount command first to see it in calibre (perhaps this is just deficiency on my GNOME setup?).

Comment 42 Michal Nowak 2010-05-24 11:06:21 UTC
I rebuilt 0.6.54 for F-13 myself and seems pretty good (random crashes still present...), however when calibre is started from terminal I can see it tries to poll for ebook reader device via that mount helper, which is missing. I guess I enabled it in one of my previous patches. (Well I am affraid that mount helper is SUID binary...)

With mount helper it works like this: You plug ebook (Kindle DX in my case) and it shows up in calibre. W/o mount helper calibre looks for mount helper indefinitely and I have to mount Kindle via mount command first to see it in calibre (perhaps this is just deficiency on my GNOME setup?).

Comment 43 Kevin Fenzi 2010-05-24 15:39:30 UTC
Yeah, I am going to push a f13 build as well, but there is currently an issue with the tags on python-cssutils. The new version is built and pushed out, but the buildsystem is using the old one. ;( 

Once thats fixed today I should be able to push some builds out to updates-testing and we can see where we are. 

Also, Michal, co-maintainers very welcome if you want to apply. ;)

Comment 44 Daniel Stripes 2010-05-28 16:26:22 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Closed/exited Calibre.

Comment 45 Daniel Stripes 2010-05-28 18:57:18 UTC
Package: calibre-0.6.42-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Just installed Calibre (0.6.42-1) on this f12 machine, started Calibre and then closed it:  multiple abrt popup notices.

Comment 46 Daniel Stripes 2010-05-28 19:16:33 UTC
(In reply to comment #40)

> Greetings.

Greetings!

> I have created a test build of the latest calibre version for Fedora 12.
> 
> Can you please update from:             
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2204259

I have installed that update to calibre 0.6.54 on this x86_64 machine just moments ago.

> And see if you can reproduce this bug?    

I have started and closed calibre 0.6.54 several times since the update and the bug has failed to (re)appear.

The bug did occur on this machine every time I closed calibre before this update.

Thank you!

Comment 47 Kevin Fenzi 2010-05-28 19:46:30 UTC
Excellent. Good news indeed. 

Hopefully I can push a real update out soon...

Comment 48 tobyknudsen@gmail.com 2010-05-29 18:46:21 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. abrt error upon quitting calibre app
2.
3.

Comment 49 Fedora Update System 2010-05-29 22:15:17 UTC
calibre-0.6.55-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/calibre-0.6.55-1.fc12

Comment 50 Random User 2010-05-31 03:42:06 UTC
Package: calibre-0.6.42-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open
2. Cancel settings
3. Cancel folder selection, then watch the errors.

Comment 51 Alexey Kazakov 2010-05-31 06:53:47 UTC
I confirm that installing calibre 0.6.54 from comment 40 resolves problem with multiple abrt popups on exit.

However I had another problem with it: RSS import feature stopped working. Calibre downloaded RSS feed, but had some problems with generating output file -- though, without crashing or triggering abrt.

Now I've upgraded to Fedora 13 and will try calibre-0.6.55-1 from comment 49.

Comment 52 Alexey Kazakov 2010-05-31 07:52:25 UTC
Well, same story with Fedora 13 and calibre-0.6.55 from comment 49.

There is no crashes and abrt reports as they were with 0.6.42 - which is very good)

Problem I wrote about is not with RSS feeds themselves -- it's with EPUB file output (generation or conversion). I successfully got RSS in FB2 or LRF files. I wasn't be able to get EPUB file from feeds or from some books I have with errors such as (from calibre error window):

Parsing stylesheet.css ...
Creating EPUB Output...
Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 98, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 24, in gui_convert
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 919, in run
    self.opts, self.log)
  File "/usr/lib64/calibre/calibre/ebooks/epub/output.py", line 143, in convert
    self.workaround_ade_quirks()
  File "/usr/lib64/calibre/calibre/ebooks/epub/output.py", line 380, in workaround_ade_quirks
    for rule in stylesheet.data.cssRules.rulesOfType(CSSRule.STYLE_RULE):
AttributeError: 'CSSRuleList' object has no attribute 'rulesOfType'

And when I quit calibre I still get some errors in terminal (though no abrt crash reports!):

Exception in thread Thread-9 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
  File "/usr/lib64/python2.6/threading.py", line 525, in __bootstrap_inner
  File "/usr/lib64/calibre/calibre/utils/ipc/server.py", line 166, in run
  File "/usr/lib64/python2.6/Queue.py", line 177, in get
  File "/usr/lib64/python2.6/threading.py", line 252, in wait
<type 'exceptions.TypeError'>: 'NoneType' object is not callable
Exception in thread Thread-4 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
  File "/usr/lib64/python2.6/threading.py", line 525, in __bootstrap_inner
  File "/usr/lib64/calibre/calibre/utils/ipc/server.py", line 166, in run
  File "/usr/lib64/python2.6/Queue.py", line 177, in get
  File "/usr/lib64/python2.6/threading.py", line 252, in wait
<type 'exceptions.TypeError'>: 'NoneType' object is not callable

Hope this can be of any help...

Comment 53 Stephen 2010-05-31 11:44:44 UTC
Package: calibre-0.6.55-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Rawhide)


How to reproduce
-----
1. Quiting Calibre
2.
3.

Comment 54 Kevin Fenzi 2010-05-31 17:40:04 UTC
Alexey: Can you tell me what 'rpm -q python-cssutils' returns there?

Will look further as I can... Thanks for the report.

Comment 55 Fedora Update System 2010-05-31 18:14:17 UTC
calibre-0.6.55-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calibre'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/calibre-0.6.55-1.fc12

Comment 56 Random User 2010-05-31 22:43:23 UTC
Package: calibre-0.6.42-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Opened application after applying updates
2. Clicked through settings, made no changes, canceled.
3. Closed application ... crash.

Comment 57 Alexey Kazakov 2010-06-01 06:57:20 UTC
(In reply to comment #54)
> Alexey: Can you tell me what 'rpm -q python-cssutils' returns there?

$ rpm -q python-cssutils
python-cssutils-0.9.6-1.fc13.noarch

I was careful to install python-cssutils from https://admin.fedoraproject.org/updates/calibre-0.6.55-1.fc13 before installing calibre itself.

Comment 58 Kevin Fenzi 2010-06-02 17:18:03 UTC
Alexey: This looks like http://bugs.calibre-ebook.com/ticket/5422 upstream. 
It's only fixed in an even NEWER python-cssutils. ;( 

Which we can't ship yet since it's alpha. ;( 
Sorry about this. I could make you a scratch build of it perhaps... or we can hope they push out the final soon. 

Everyone else on this bug: 

Please test 0.6.55? Thanks.

Comment 59 Chunnayya Munnayya 2010-06-02 19:09:55 UTC
Package: calibre-0.6.42-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Exiting Calibre
2.
3.

Comment 60 Frederic Masi 2010-06-06 22:17:21 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Open calibre
2.Close calibre


Comment
-----
I just open Calibre and then wen I closed it I got the error messages pop ups.
This seem to hapen with a simple open and close operation.

Comment 61 David Nalley 2010-06-07 01:32:10 UTC
Package: calibre-0.6.42-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Fetching cover

Comment 62 Frank Murphy 2010-06-07 09:11:16 UTC
Package: calibre-0.7.0-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Rawhide)


How to reproduce
-----
1. conver to epub
2.
3.

Comment 63 Frank Murphy 2010-06-07 09:18:00 UTC
(In reply to comment #62)
> Package: calibre-0.7.0-1.fc14
> Architecture: x86_64
> OS Release: Fedora release 14 (Rawhide)
> 
> 
> How to reproduce
> -----
> 1. conver to epub
> 2.

As I ran calibre from cli,
will add the last couple of lines below dashes
--------------------------------------------------

Removing anchor from TOC href: index_split_1347.html#calibre_toc_1072
Removing anchor from TOC href: index_split_1348.html#calibre_toc_1073
Removing anchor from TOC href: index_split_1349.html#calibre_toc_1074
Removing anchor from TOC href: index_split_1350.html#calibre_toc_1075
EPUB output written to /tmp/calibre_0.7.0_TPX0Y6.epub
ICE default IO error handler doing an exit(), pid = 31313, errno = 32

Comment 64 Kevin Fenzi 2010-06-07 15:47:54 UTC
In reply to comment #63: 

Frank: what was the python-cssutils version there? 0.9.6?

Comment 65 Frank Murphy 2010-06-07 17:36:17 UTC
python-cssutils-0.9.7-0.b2.fc14.noarch

(The scratch build)
http://koji.fedoraproject.org/koji/taskinfo?taskID=2234428

Comment 66 Gerard Ryan 2010-06-07 18:29:56 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open calibre
2. close calibre
3. crash

Comment 67 Kevin Fenzi 2010-06-07 22:14:10 UTC
Frank: can you open a new bug for the item in comment 63? 
This bug should be left for the f12/f13 build crash on close issue. 

Also, 0.7.1 is in rawhide now. ;)

Comment 68 Frank Murphy 2010-06-08 08:24:04 UTC
(In reply to comment #67)
> Frank: can you open a new bug for the item in comment 63? 

Will do.

> This bug should be left for the f12/f13 build crash on close issue. 

Close issue also in Rawhide (just ignored it, as close only)

> 
> Also, 0.7.1 is in rawhide now. ;)    

Will do the necessary.

Comment 69 Marky 2010-06-09 18:37:50 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Run Database integrity check
2.
3.


Comment
-----
As the system is very very slow when  saving a record after modifying it.  I decided to run a Database Integrity Check. Database holds 6675 records.  This for a SQL database is a very small amount of records.  The data base is also accessed by the Windows version on the same computer which is duel boot. .  Saving a recors in the Windows version is faster but running the checker does nothing the system locks with no error message.   If you wish a copy of my database to check I am happy to provide it

Comment 70 Chunnayya Munnayya 2010-06-09 18:39:12 UTC
Package: calibre-0.6.42-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. After resuming from sleep, attempting to close calibre
2.
3.

Comment 71 fade 2010-06-09 18:44:13 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Ouvrir calibre
2. Fermer Calibre
3.

Comment 72 Akshay Shah 2010-06-14 18:49:00 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open Calibre.
2. Do anything.
3. Close Calibre by closing the window.


Comment
-----
Every time I close Calibre, Fedora reports a crash. I can't find any way to close the program other than closing the window (i.e., I can't find an internal "quit" option), but closing the window inevitably results in a crash.

Comment 73 Mark 2010-06-17 03:41:06 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Closed calibre.

Comment 74 Prabhat Maurya 2010-06-17 06:42:04 UTC
Package: calibre-0.6.42-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Every time when i closing this application, I got this crash message. 
2.
3.

Comment 75 Mark 2010-06-17 22:02:19 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Tried to launch calibre.  Second attempt launched the program successfully.

Comment 76 Keith Burton 2010-06-18 08:24:21 UTC
Package: calibre-0.6.42-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Opened Application
2.  Read books
3. Closed application

Comment 77 Chunnayya Munnayya 2010-06-20 04:21:06 UTC
Package: calibre-0.6.42-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Exit Calibre
2.
3.

Comment 78 Alberto 2010-06-21 10:40:46 UTC
Package: calibre-0.6.42-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.i have been  closed calibre, when appear the message.

Comment 79 Fedora Update System 2010-06-21 13:10:53 UTC
calibre-0.6.55-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 80 atrias 2010-07-03 17:28:05 UTC
i still have this problem on calibre-0.6.55-1.fc13.x86_64

Comment 81 Kevin Fenzi 2010-07-04 19:57:48 UTC
(In reply to comment #80)
> i still have this problem on calibre-0.6.55-1.fc13.x86_64    

Can you attach the crash info from that version please?

Comment 82 Harley Goode 2010-07-05 12:27:45 UTC
Happens to me also with calibre-0.6.55-1.fc13.x86_64.
Backtrace follows:


worker.py:88:main:EOFError

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())
  File "/usr/lib/calibre/calibre/utils/ipc/worker.py", line 88, in main
    name, args, kwargs, desc = conn.recv()
EOFError

Local variables in innermost frame:
resultf: '/tmp/calibre_ipc_result_1_3.pickle'
isosx: False
key: '\xd6\x00\xb3\x1d\xe8\xc1\xdb9F\x08\x88\xb5o^\xa4\xd2\xfc\x94F\xe6\x9c\xc1\xae@$\xe2\xa0\x1f\x031\xfb}'
conn: <read-write Connection, handle -1>
address: '/tmp/pymp-aFonfv/listener-6E_pXu'

Comment 83 atrias 2010-07-05 16:28:05 UTC
worker.py:88:main:EOFError

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 88, in main
    name, args, kwargs, desc = conn.recv()
EOFError

Local variables in innermost frame:
resultf: '/tmp/calibre_ipc_result_2_1.pickle'
isosx: False
key: 'v\xe4xZ)\xf1\xb43\x08\xb6\x86\xd4F\xa1\xbb\xcb\x99\xa3\xb8\x1f\x160\x7f\xb5\x05\\\x00\xa9\xd3\xbdw\xef'
conn: <read-write Connection, handle -1>
address: '/tmp/pymp-b2cym3/listener-r6cyyx'

Comment 84 atrias 2010-07-05 16:29:22 UTC
<string>:1:connect:error: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 87, in main
    with closing(Client(address, authkey=key)) as conn:
  File "/usr/lib64/python2.6/multiprocessing/connection.py", line 134, in Client
    c = SocketClient(address)
  File "/usr/lib64/python2.6/multiprocessing/connection.py", line 253, in SocketClient
    s.connect(address)
  File "<string>", line 1, in connect
error: [Errno 2] No such file or directory

Local variables in innermost frame:
self: <socket._socketobject object at 0x1bd86e0>
args: ('/tmp/pymp-b2cym3/listener-r6cyyx',)

Comment 85 Kevin Fenzi 2010-07-06 17:51:14 UTC
ok. Are you guys seeing any selinux avcs?

ausearch -m avc -ts today 

And to clarify, you simply start it, then quit and get this error on quit?
Any other steps to duplicate?

Comment 86 Frank Murphy 2010-07-06 18:09:17 UTC
Are these the python avc's I reported at:
https://bugzilla.redhat.com/attachment.cgi?id=422892&action=edit

or something new?

Comment 87 atrias 2010-07-06 18:10:25 UTC
No other steps are required
You just start the program and then quit and this error occurs

running:

ausearch -m avc -ts today

after start and quit of calibre gives 

<no matches>

Comment 88 Frank Murphy 2010-07-06 18:24:58 UTC
As per comment 87.
calibre-0.6.55-1.fc13.i686

Comment 89 Mark 2010-07-06 19:51:46 UTC
I have selinux disabled, so I don't think selinux is the problem here.  I can try to reproduce with selinux enabled.  Let me know.

Comment 90 Patrick O'Callaghan 2010-07-06 22:03:48 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Started calibre
2.Enabled server mode
3.Quit calibre
4. Crash

Comment 91 Jon Doe 2010-07-07 00:21:09 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run calibre
2. exit calibre normally
3.


Comment
-----
This occurs everytime calibre exits, no matter what is done.  Each worker thread gets a crash, and changing the # of worker threads generates a 1 to 1 mapping of crash instances.

From a cli invocation, each thread generates one of these with approprate "thread number" in Thread-<n>: (In this run 2 were generated)
Exception in thread Thread-4 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
  File "/usr/lib64/python2.6/threading.py", line 525, in __bootstrap_inner
  File "/usr/lib64/calibre/calibre/utils/ipc/server.py", line 166, in run
  File "/usr/lib64/python2.6/Queue.py", line 177, in get
  File "/usr/lib64/python2.6/threading.py", line 252, in wait
<type 'exceptions.TypeError'>: 'NoneType' object is not callable

Comment 92 Harley Goode 2010-07-07 10:29:09 UTC
I also have selinux disabled.
And, yes, all that is required to make it crash is to try to exit normally.
Otherwise the program seems to work fine. I haven't synced a reader yet, but I have converted quite a few books with no problems.

Comment 93 Patrick O'Callaghan 2010-07-07 14:36:11 UTC
I too have selinux disabled. I managed to sync with Stanza on my iPhone, which is the main reason I'm interested in Calibre. This hadn't worked with a previous version so I'm (relatively) happy. If only the stupid crash didn't happen, provoking an alert from abrt etc. etc.

Comment 94 Kent Knudsen 2010-07-08 00:46:07 UTC
Package: calibre-0.6.55-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Closing Calibre
2.
3.

Comment 95 C.J.H. 2010-07-08 09:50:47 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.open calibre
2.exit calibre
3.abrt catches crash


Comment
-----
I was able to reproduce the crash at least twice.

Comment 96 Keith Burton 2010-07-09 21:20:45 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened Calibre
2. Closed Calibre
3.

Comment 97 Daniel Stripes 2010-07-10 05:48:16 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Closed/exited Calibre.

Comment 98 Ken Dwyer 2010-07-10 15:44:40 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Launch calibre
2. Close calibre by clicking the "X" on the title bar


Comment
-----
Simply launch calibre and then close it, and the bug reporting tool reports a crash in package calibre.

Comment 99 Jeff Sumner 2010-07-11 15:44:52 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Calibre
2. Quit Calibre
3. File bug


Comment
-----
The appliction traps every time on exit.

Comment 100 Ken Dwyer 2010-07-11 16:21:18 UTC
As a workaround, I performed 'yum remove calibre' and then ran the "Binary install" command specified at:

http://calibre-ebook.com/download_linux

This installs a newer version of calibre than the one in the Fedora 13 repos. I no longer experience these crashes with the new version, and it also resolved an issue I was having with the detection of my Sony PRS-300 reader.

I don't know much about bug resolution procedures, but my suggestion for the Fedora maintainers would be to get a newer version of calibre (e.g., 0.7.8) into the repos. All the dependencies appear to be in place, at least for Fedora 13.

Comment 101 Kevin Fenzi 2010-07-11 17:50:37 UTC
Yes, we do intend to update, but I was hoping python-cssutils-0.9.7 would be released before we do so, as thats needed to fix another crash. :(

In the mean time if folks would like to test and provide feedback, here are some scratch builds of the latest version for f13/f12:

f13: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=2311683

f12: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=2311690

python-cssutils is up to 0.9.7b3, so final 0.9.7 will hopefully be out soon.

Comment 102 C.J.H. 2010-07-11 20:02:35 UTC
(In reply to comment #101)
> Yes, we do intend to update, but I was hoping python-cssutils-0.9.7 would be
> released before we do so, as thats needed to fix another crash. :(
> 
> In the mean time if folks would like to test and provide feedback, here are
> some scratch builds of the latest version for f13/f12:
> 
> f13: 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2311683
> 
> f12: 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2311690
> 
> python-cssutils is up to 0.9.7b3, so final 0.9.7 will hopefully be out soon.    

I installed the f13 rpm for x86_64 and the crash on exit of calibre seems to be resolved. I haven't tried any of calibre's functions yet to see if they work without problems.

Comment 103 Daniel Stripes 2010-07-12 13:25:37 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Closed/exited Calibre.

Comment 104 Frank Murphy 2010-07-12 13:40:40 UTC
(In reply to comment #103)
> Package: calibre-0.6.42-1.fc13
> Architecture: x86_64
> OS Release: Fedora release 13 (Goddard)
> 
> 
> Comment
> -----
> Closed/exited Calibre.    


Can you update to the version in comment #101 please

Comment 105 Harley Goode 2010-07-15 13:01:37 UTC
I unloaded calibre-0.6.55-1.fc13.x86_64 and did the binary install found on the Calibre website.
No more crashes.
And got the latest version of 0.7.8.

Comment 106 Walter Tuvell 2010-07-15 13:50:15 UTC
(In reply to comment #105)
> I unloaded calibre-0.6.55-1.fc13.x86_64 and did the binary install found on the
> Calibre website.
> No more crashes.
> And got the latest version of 0.7.8.    

Thanks, Harley.  I did the same a few weeks ago, but neglected to mention it in this thread (sorry!).

Comment 107 Frank Murphy 2010-07-18 11:17:04 UTC
Package: calibre-0.7.8-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Rawhide)


How to reproduce
-----
1. Open Calibre 
2. Close Calibre
3.


Comment
-----
Initial setup of 7.8 calibre on F14-Rawhide.x86

Comment 108 Claudiomar Rodrigues 2010-07-18 21:37:12 UTC
Package: calibre-0.6.55-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open the application
2. I manipulated somes files
3. Closed the application

Comment
-----
Closed again when the application notifies the ABRT about any problem.
Simply open the application, I accessed some categories and when I close the application via the X in the top bar, the ABRT "screams" several warnings.

Comment 109 Daniel Stripes 2010-07-20 00:34:04 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Started calibre, perused the preferences settings without changing any, closed/quit/exited calibre by use of the 'x' box in the upper right corner, observed several abrt notices popup.

Comment 110 Claudiomar Rodrigues 2010-07-20 02:30:33 UTC
Package: calibre-0.6.55-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open the application
2. I manipulated somes files
3. Closed the application

Comment
-----
Closed again when the application notifies the ABRT about any problem.
Simply open the application, I accessed some categories and when I close the application via the X in the top bar, the ABRT "screams" several warnings.

Comment 111 Claudiomar Rodrigues 2010-07-21 01:49:26 UTC
Package: calibre-0.6.55-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open the application
2. I not  manipulated  files
3. Closed the application

Comment
-----
Closed again when the application notifies the ABRT about any problem.
Simply open the application, I accessed some categories and when I close the application via the X in the top bar, the ABRT "screams" several warnings.

Comment 112 Francesco Tapparo 2010-07-21 13:10:26 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I was downloading the cover of one of my ebooks and calibre crashed

Comment 113 Mark 2010-07-21 14:21:32 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Wasn't even using or had calibre launched.  Not sure where this crash report came from?

Comment 114 Jens Petersen 2010-07-25 04:18:05 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
just exited calibre I think (after trying to download some news unsuccessfully)

Comment 115 Frank Murphy 2010-07-25 06:43:23 UTC
Can you test the scratch build from:
http://www.scrye.com/~kevin/fedora/calibre/

Comment 116 Frank Murphy 2010-07-25 07:39:27 UTC
Package: calibre-0.7.10-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Rawhide)


How to reproduce
-----
1. Open 
2. Close



Comment
-----
Was doing various existing bug tests, found a new one, plus crash on exit.
Any method of closing triggers crash, maybe the whole python base needs upgrading?

Comment 117 john bray 2010-07-25 19:12:42 UTC
in f12, i tested your calibre-0.7.10-1.fc12.x86_64 from http://www.scrye.com/~kevin/fedora/calibre/12/x86_64/

it does not appear to abort.  i tried a number of various operations and never was able to get an abort on exit.

but it now fails on any conversion that i've tried.  these are ones which it previously did conversions successfully -- mostly to mobi.

with: 
python-cssutils-0.9.6-1.fc12

details of conversion failure:

Convert book 1 of 1 (Triplanetary)
Resolved conversion options
calibre version: 0.7.10
{'asciiize': False,
 'author_sort': None,
 'authors': None,
 'base_font_size': 0.0,
 'book_producer': None,
 'change_justification': u'original',
 'chapter': u"//*[((name()='h1' or name()='h2') and re:test(., 'chapter|book|section|part\\s+', 'i')) or @class = 'chapter']",
 'chapter_mark': u'pagebreak',
 'comments': None,
 'cover': None,
 'debug_pipeline': None,
 'disable_font_rescaling': False,
 'dont_split_on_page_breaks': False,
 'extra_css': None,
 'extract_to': None,
 'flow_size': 260,
 'font_size_mapping': None,
 'footer_regex': u'(?i)(?<=<hr>)((\\s*<a name=\\d+></a>((<img.+?>)*<br>\\s*)?\\d+<br>\\s*.*?\\s*)|(\\s*<a name=\\d+></a>((<img.+?>)*<br>\\s*)?.*?<br>\\s*\\d+))(?=<br>)',
 'header_regex': u'(?i)(?<=<hr>)((\\s*<a name=\\d+></a>((<img.+?>)*<br>\\s*)?\\d+<br>\\s*.*?\\s*)|(\\s*<a name=\\d+></a>((<img.+?>)*<br>\\s*)?.*?<br>\\s*\\d+))(?=<br>)',
 'input_encoding': None,
 'input_profile': <calibre.customize.profiles.InputProfile object at 0x2a1d550>,
 'insert_blank_line': False,
 'insert_metadata': False,
 'isbn': None,
 'keep_ligatures': False,
 'language': None,
 'level1_toc': None,
 'level2_toc': None,
 'level3_toc': None,
 'line_height': 0.0,
 'linearize_tables': False,
 'margin_bottom': 5.0,
 'margin_left': 5.0,
 'margin_right': 5.0,
 'margin_top': 5.0,
 'max_toc_links': 50,
 'no_chapters_in_toc': False,
 'no_default_epub_cover': False,
 'no_inline_navbars': False,
 'no_svg_cover': False,
 'output_profile': <calibre.customize.profiles.KindleOutput object at 0x2a1db10>,
 'page_breaks_before': u"//*[name()='h1' or name()='h2']",
 'prefer_metadata_cover': False,
 'preprocess_html': False,
 'preserve_cover_aspect_ratio': False,
 'pretty_print': True,
 'pubdate': None,
 'publisher': None,
 'rating': None,
 'read_metadata_from_opf': '/tmp/calibre_0.7.10_W8myYX.opf',
 'remove_first_image': False,
 'remove_footer': False,
 'remove_header': False,
 'remove_paragraph_spacing': False,
 'remove_paragraph_spacing_indent_size': 1.5,
 'series': None,
 'series_index': None,
 'tags': None,
 'timestamp': None,
 'title': None,
 'title_sort': None,
 'toc_filter': None,
 'toc_threshold': 6,
 'use_auto_toc': False,
 'verbose': 2}
InputFormatPlugin: MOBI Input running
on /home/jmb/calibre-books-lib/Edward Elmer Smith/Triplanetary (195)/Triplanetary - Edward Elmer Smith.mobi
Extracting text...
Adding anchors...
Extracting images...
Cleaning up HTML...
Parsing HTML...
Converting style information to CSS...
Creating OPF...
Parsing all content...
Parsing Triplanetary.html ...
Forcing Triplanetary.html into XHTML namespace
Parsing styles.css ...
Failed to parse content in styles.css
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 159, in _manifest_prune_invalid
    item.data
  File "/usr/lib64/calibre/calibre/ebooks/oeb/base.py", line 1064, in fget
    data = self._parse_css(data)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/base.py", line 1010, in _parse_css
    import_rules = list(data.cssRules.rulesOfType(CSSRule.IMPORT_RULE))
AttributeError: 'CSSRuleList' object has no attribute 'rulesOfType'

Generating default TOC from spine...
Merging user specified metadata...
Detecting structure...
Auto generated TOC with 0 entries.
Flattening CSS and remapping font sizes...
Stylesheet 'styles.css' referenced by file 'Triplanetary.html' not in manifest
Source base font size is 12.00000pt
Cleaning up manifest...
Trimming unused files from manifest...
Parsing stylesheet.css ...
Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 98, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 24, in gui_convert
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 909, in run
    trimmer(self.oeb, self.opts)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/trimmanifest.py", line 57, in __call__
    for href in cssutils.getUrls(item.data):
  File "/usr/lib64/calibre/calibre/ebooks/oeb/base.py", line 1064, in fget
    data = self._parse_css(data)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/base.py", line 1010, in _parse_css
    import_rules = list(data.cssRules.rulesOfType(CSSRule.IMPORT_RULE))
AttributeError: 'CSSRuleList' object has no attribute 'rulesOfType'

Comment 118 Kevin Fenzi 2010-07-25 19:16:50 UTC
Right. This is why you need the 0.9.7 python-cssutils (which has not been released yet). 

I'll add a 0.9.7 rc3 build to the above repo for you to test with.

Comment 119 Kevin Fenzi 2010-07-25 19:30:57 UTC
ok, builds of 0.9.7 rc3 are available in the same place as above: 
http://www.scrye.com/~kevin/fedora/calibre/

(for 12/13 i686/x86_64). 

Try upgrading to that version and see if conversion works again?

Comment 120 john bray 2010-07-25 20:01:48 UTC
i installed them.  and in some initial testing, it appears to work flawlessly.

i hereby nominate kevin fenzi as hero of the year 2010!  :-D

Comment 121 E. Hicks 2010-07-27 01:36:00 UTC
Package: calibre-0.6.55-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Simply exiting the program causes this about 4 times
2.
3.

Comment 122 Frank Murphy 2010-07-27 07:47:15 UTC
Please update to the latest scratch Calibre and python-cssutils from:
http://www.scrye.com/~kevin/fedora/calibre/

and re-test

Comment 123 Kerry 2010-07-30 21:54:32 UTC
Upgrading to these:
$ rpm -q calibre python-cssutils
calibre-0.7.10-1.fc13.i686
python-cssutils-0.9.7-0.b3.fc13.noarch

seems to have cleared up the problems I had with both crashes and converting documents. Thanks.

Comment 124 Josep Sànchez 2010-08-01 23:37:28 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Mark a ebook to send to the connected and correctly detected device (Android telephone).
2. Click on Icon "Send to device"
3. Then appears the error.

Comment 125 Frank Murphy 2010-08-02 07:39:57 UTC
Use the versions from comment 122,
and retest

Comment 126 vlapan 2010-08-03 23:39:20 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.open calibre
2.try to send a book into the device, which is connected but not recognized by calibre(it was recognized a while back)
3.exit from calibre and boom:)


Comment
-----
I consider this a serious problem, when software doesn''t recognize the existing device - prs-300.  As I said: it was recognized before in fedora 12.

Comment 127 Frank Murphy 2010-08-04 07:29:02 UTC
Please update to the version linked below, and retest, 
pull in the rebuilt python-cssutils also.

https://bugzilla.redhat.com/show_bug.cgi?id=620966#c2

Comment 128 Everaldo de Nóbrega Peixoto 2010-08-04 17:56:37 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Start Calibre (first time run)
2.Set preferred reader as Amazon Kindle DX
3.Did not set any e-mail information, finish the setup wizard
4.Browse preferences (change nothing)
5.Close Calibre and it crashes

Comment 129 C.J.H. 2010-08-06 10:12:53 UTC
OS Release: Fedora release 13 (Goddard)
Architecture : x86_64

I installed the version of Calibre (calibre-0.7.8-1 referred to in Comment 101 url = https://bugzilla.redhat.com/show_bug.cgi?id=559484#c101) and that fixed the crash on exit, but it introduced the bug of being unable to convert books to any format;(.

(Comment #127)
> Please update to the version linked below, and retest, 
> pull in the rebuilt python-cssutils also.
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=620966#c2    

So I followed Frank Murphy's suggestion to update to the version (calibre-0.7.12-1 & python-cssutils-0.9.7-0.b3) that he suggested in Comment #127, and the conversion issue seems to be resolved, and there is no crash on exit...the only part of calibre that I have not tried is "sending" a book to a device....

Comment 130 Mark 2010-08-07 20:31:22 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Closed task tray icon for calibre.

Comment 131 Adam Williamson 2010-08-08 16:48:31 UTC
Package: calibre-0.7.10-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Branched)


How to reproduce
-----
1. Quit Calibre
2.
3.

Comment 132 Jeff lats 2010-08-11 12:56:42 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
FFinished using the book viewer and click X to terminate calibre

Comment 133 pleabargain 2010-08-20 06:10:20 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.transferred book
2.
3.


Comment
-----
Walked away from  machine after transferring book to kindle 2 device. Crash was waiting for me when I came back.

Comment 134 Vaclav "sHINOBI" Misek 2010-08-21 20:45:04 UTC
Package: calibre-0.7.10-3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. open calibre
2. after clicking to the closing cross, the calibre crashes

Comment 135 Dave Cross 2010-08-22 13:26:11 UTC
Package: calibre-0.6.55-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Start calibre
2.Do stuff
3.Close calibre


Comment
-----
Happens every time I close calibre.

Comment 136 edwards.tyrone 2010-08-23 02:22:58 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened Calibre
2. Used the application
3. Closed the application

Comment 137 Ali 2010-08-23 11:17:38 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. When the Calibre software is closed the error coming.

Comment 138 Jeff lats 2010-08-23 12:58:08 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Exiting

Comment 139 Ali Sobhi 2010-08-26 15:27:38 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Calibre
2. click on X to exit
3. Calibre crashes

Comment 140 Jens Petersen 2010-08-27 00:38:38 UTC
I testeed Kevin's packages and I think they are working ok.

Comment 141 Jay 2010-08-28 02:29:28 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened Calibre for the first time
2. Closed the application

Comment 142 Frane 2010-08-30 09:23:08 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open the application
2. Close it
3. 


Comment
-----
Nothing more

Comment 143 Jim Gribbin 2010-08-30 21:34:25 UTC
Package: calibre-0.6.55-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I was closing Calibre and it crashed while shutting down
2.
3.


Comment
-----
It also crashed while opening a epub file.

Comment 144 Moses 2010-08-31 01:47:20 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Started for the first time
2. Cancelled setting up kindle email
3. Selected directory and closed app


Comment
-----
This occurred during the first install of the application.

Comment 145 Louis van Dyk 2010-08-31 14:49:21 UTC
Package: calibre-0.6.55-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
I closed Calibre and the crash occurred.

Comment 146 Alina Silvestrovici Paun 2010-08-31 15:43:22 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Clicked the remove icon for the reader
2. Calibre crashed
3.

Comment 147 Edward Hooper 2010-09-02 16:51:36 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Calibre.
2.
3.

Comment 148 drew 2010-09-03 21:16:46 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.exit program
2.
3.


Comment
-----
pressed the window x close button

Comment 149 Per Arnold Blåsmo 2010-09-05 22:33:12 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Had my Kindle DX connected and tried to upload a pdf to it. The PDF uploaded, so I am not sure what crashed.

Comment 150 Robert Bottomley 2010-09-06 01:10:29 UTC
Package: calibre-0.6.55-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
I clicked "Exit" on the panel icon.

Comment 151 Louis van Dyk 2010-09-10 21:31:43 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I opened calibre for the first time.
2. I began to import my ebooks into the calibre library.
3. It asked if I wanted to import books with duplicate titles - there were many - it was about 20 hours later when I clicked yes.
4. Calibre crashed.

Comment 152 pleabargain 2010-09-12 11:13:39 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.had finished conversion process on 12+ books with diff formats
2.
3.

Comment 153 Adam 2010-09-12 12:42:12 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open Calibre after install
2. Close Calibre
3.


Comment
-----
Crashed on close

Comment 154 Rafeek Mikhael 2010-09-13 01:10:41 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I deleted a large number of ebooks 
2. I closed the program
3.

Comment 155 Louis van Dyk 2010-09-13 22:58:36 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I opened calibre for the first time.
2. I began to import my ebooks into the calibre library.
3. I closed calibre.
4. Calibre crashed.

Comment 156 pleabargain 2010-09-21 10:48:24 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.shut down calibre
2.crash
3.


Comment
-----
I had left my computer and calibre on for at least 24 hours. But, I know that Calibre crashes on close as I've seen the other bug reports.

Comment 157 pleabargain 2010-09-22 12:53:05 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.shut down calibre
2.crash
3.


Comment
-----
I know that Calibre crashes on close as I've seen the other bug reports.

Comment 158 collura 2010-09-26 08:51:00 UTC
Package: calibre-0.6.55-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
closed an ebook ok.  then closed calibre program ok.  but then got abrt crash detect for some reason.

Comment 159 collura 2010-09-26 10:47:07 UTC
Created attachment 449706 [details]
part of var log messages for abrt report of calibre crash

running:

calibre-0.6.55-1.fc12 (x86_64)
python-cssutils-0.9.6-1.fc12 (x86_64)

Comment 160 collura 2010-09-26 10:54:21 UTC

https://bugzilla.redhat.com/show_bug.cgi?id=629661#c3

"calibre-0.7.18-3.fc14, python-cssutils-0.9.7-0.0.b3.fc14 has been pushed to the
Fedora 14 testing repository."

Comment 161 Frank Murphy 2010-09-26 10:59:24 UTC
(In reply to comment #160)
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=629661#c3
> 
> "calibre-0.7.18-3.fc14, python-cssutils-0.9.7-0.0.b3.fc14 has been pushed to
> the
> Fedora 14 testing repository."


Can you enable this testing repo:
http://repos.fedorapeople.org/repos/kevin/calibre/
su
cd /etc/yum.repos.d
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo

Comment 162 Răzvan Sandu 2010-09-26 18:48:46 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----

Comment 163 Jonathan Gazeley 2010-10-03 13:44:06 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Used calibre as normal
2. Closed calibre
3. Crash

Comment 164 pleabargain 2010-10-10 17:15:48 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.closing calibre
2.
3.

Comment 165 igor.redhat@gmail.com 2010-10-11 17:20:40 UTC
Package: calibre-0.7.20-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
The crash happened when I closed calibre soon after resuming the laptop after a suspend.

Comment 166 Amit Shah 2010-10-15 10:10:14 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Exit Calibre by clicking on the cross button on the gnome window border
2.
3.

Comment 167 Klaus Lichtenwalder 2010-10-16 18:17:15 UTC
Package: calibre-0.6.55-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Exiting the application after adding a pdf file.

Comment 168 gpvprasad 2010-10-17 01:22:26 UTC
one tab I am running farmville another tab I opened yahoo mail in beta mode and I kept navigating suddenly firfox hanged Abrt displayed bugs.

Comment 169 Didi Hoffmann 2010-10-18 18:54:42 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Dissconnect Reader
2. Close program

Comment 170 pleabargain 2010-10-19 13:04:16 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.crash on machine start up... calibre was not running
2.
3.

Comment 171 John Armitage 2010-10-19 21:48:59 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----



Comment
-----
Happens on closing calibre every time.

Comment 172 Tony C 2010-10-20 10:55:57 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Open Calibre
2.Read an E-Book
3.Close Calibre
4. Report crash


Comment
-----
I closed the application

Comment 173 Tony C 2010-10-20 11:03:58 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Open Calibre
2.Read an E-Book
3.Close Calibre
4. Report crash


Comment
-----
I closed the application

Comment 174 Tony C 2010-10-21 23:15:58 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Open Calibre
2.Read an E-Book
3.Close Calibre
4. Report crash


Comment
-----
I closed the application

Comment 175 Tony C 2010-10-22 03:22:01 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Open Calibre
2.Read an E-Book
3.Close Calibre
4. Report crash


Comment
-----
I closed the application

Comment 176 Kamil Páral 2010-10-22 09:45:12 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I just closed Calibre as far as I know.

Comment 177 Run Du 2010-10-23 09:37:33 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. This happens when calibre closes.

Comment 178 diego 2010-10-23 11:09:57 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. close calibre

Comment 179 Duane Berry 2010-10-24 04:28:14 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I don't know how to reproduce it


Comment
-----
1.  Imported books from my Nook into Calibre
2.  Added a dozen epubs from Project Gutenberg
3.  Tried to open an epub

Comment 180 Duane Berry 2010-10-24 05:37:18 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Calibre crashes when I close it using the pull-down menu in the upper left corner of the app.

Comment
-----
Nothing.  I had finished reading and tried to closr the document.

Comment 181 Tony C 2010-10-25 01:43:12 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Open Calibre
2.Read an E-Book
3.Close Calibre
4. Report crash


Comment
-----
There doesn't appear to be any way of closing calibre without it crashing

Comment 182 Duane Berry 2010-10-25 14:02:18 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Calibre crashes when I close it using the pull-down menu in the upper left corner of the app.

Comment
-----
Nothing.  I had finished reading and tried to closr the document.

Comment 183 pleabargain 2010-10-25 15:19:30 UTC
I would suggest all to upgrade via command line. It is very easy.
http://www.youtube.com/watch?v=fyIgK6jeNYs

Comment 184 Duane Berry 2010-10-25 17:26:57 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Calibre crashes when I close it using the pull-down menu in the upper left corner of the app.
This crash has happened every time since the initial installation.
I have not tried closing from the 'X' in the upper right-hand corner.

Comment
-----
I had just imported books from my Nook.  
I did not unmount the Nook or its SD card before exiting.
KDE desktop.
This Calibre is the version that ships with the Fedora 13 distro.
The Calibre session was in full-screen mode, the server was not running.

Comment 185 Kevin Fenzi 2010-10-25 18:55:09 UTC
I would strongly advise against doing what comment 183 suggests. ;) It's bypassing your package management system, which is not good. 

Instead, could people seeing this please update from my fedorapeople repo and then report back here if the new versions fix this issue?

open a terminal.
su
cd /etc/yum.repos.d
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum update calibre

I'll note also that this issue causes no dataloss or other ill effect. 
It just is when calibre is not exiting cleanly. 

If the above version fixes this issue and otherwise works, please report so here. 
If I can get enough folks showing it fixed, I can look at trying to update in f13. 

Thanks.

Comment 186 Jim Gribbin 2010-10-26 03:44:53 UTC
I tried the one from your 'fedora people' repo.

Thought we had it for a minute.

The first time I opened Calibre, opened a book, closed the book, closed Calibre, it went cleanly.

The second time, I Opened a different book, Linux From Scratch. I have it in 2 formats, PDF & ,mobi. I opened and closed each in turn, then closed Calibre. I got an error message box.

ERROR: ERROR: Unhandled exception: <b>IOError</b>:[Errno 2] No such file or directory: '/tmp/calibre_0.7.24_tmp_IVY9Sr/ipc_result_1_3_6r__Vh.pickle'

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())
  File "/usr/lib/calibre/calibre/utils/ipc/worker.py", line 108, in main
    cPickle.dump(result, open(resultf, 'wb'), -1)
IOError: [Errno 2] No such file or directory: '/tmp/calibre_0.7.24_tmp_IVY9Sr/ipc_result_1_3_6r__Vh.pickle'

Comment 187 Kamil Páral 2010-10-26 09:05:36 UTC
Kevin, calibre-0.7.24-1.fc13.x86_64 from your repo still crashes for me on shutdown:

Exception in thread Thread-10 (most likely raised during interpreter shutdown):
Traceback (most recent call last):
  File "/usr/lib64/python2.6/threading.py", line 525, in __bootstrap_inner
  File "/usr/lib64/calibre/calibre/utils/ipc/server.py", line 168, in run
  File "/usr/lib64/python2.6/Queue.py", line 177, in get
  File "/usr/lib64/python2.6/threading.py", line 252, in wait
<type 'exceptions.TypeError'>: 'NoneType' object is not callable

However, it is no longer detected by abrt.

Comment 188 Jake Ford 2010-10-26 19:37:48 UTC
Package: calibre-0.6.55-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Not sure, just tried to close calibre
2.
3.


Comment
-----
Just Installed and configured the software to work with Gmail, tried to close and it crashed.

Comment 189 Jim Gribbin 2010-10-26 20:52:17 UTC
I forgot to mention in #186 that that was not detected by abrt either. I only received the error message box.

Comment 190 Michal Nowak 2010-10-27 07:14:59 UTC
Perhaps this unofficial version of Calibre is not signed and abrt is setup as OpenGPGCheck = yes?

Comment 191 Jim Gribbin 2010-10-27 21:36:05 UTC
Didn't think of that, but I think that's OK.

# rpm --checksig /home/jimg/Downloads/calibre-0.7.24-1.fc13.i686.rpm 
/home/jimg/Downloads/calibre-0.7.24-1.fc13.i686.rpm: sha1 md5 OK

Comment 192 Marc 2010-10-30 15:31:09 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. First install of Calibre
2. Do not opt for setting up email during wizard, Select Kindle2
3. Exit program from main screen
4. ABRT appears

Comment 193 Nuno Anjos 2010-11-09 18:35:28 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.just open pdf file
2.
3.

Comment 194 bill pemberton 2010-11-24 05:59:29 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. started calibre and converted a pdf to mobi then closed calibre via the 'X' mouse click.
2.
3.

Comment 195 H.Breimer 2010-11-30 13:36:35 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.open calibre
2.use it
3.close, this bringsup the abrt icon

Comment 196 TFH 2010-12-07 00:34:48 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Used calibre to convert multiple .txt documents at once
2.
3.

Comment 197 pleabargain 2010-12-07 21:39:21 UTC
Using


sudo python -c "import urllib2; exec urllib2.urlopen('http://status.calibre-ebook.com/linux_installer').read(); main()"


Calibre works much better now.

Comment 198 aktigger99645 2010-12-08 08:51:10 UTC
Running above python command as root fixed my crash, also.

Comment 199 Frank Murphy 2010-12-08 09:02:45 UTC
(In reply to comment #197)
> Using
> 
> 
> sudo python -c "import urllib2; exec
> urllib2.urlopen('http://status.calibre-ebook.com/linux_installer').read();
> main()"
> 
> 
> Calibre works much better now.

What you have done is installed Calibre directly from upstream.

Comment 200 Kevin Fenzi 2010-12-08 16:50:29 UTC
Note that this "crash" is complely cosmetic. 

See https://bugzilla.redhat.com/show_bug.cgi?id=559484#c185

I guess I should request abrt stop reporting issues on calibre to avoid confusing folks. 
The crash happens on quit. It doesn't cause any data loss or ill effect. The only thing it does is fire up abrt and report this. :)

Comment 201 Giandomenico De Tullio 2010-12-08 17:42:11 UTC
hmm, sorry to buzz, but on a "crash" event the program/OS cleans up in a "healthy" way all the memory allocated ( on heap: malloc and so on...) or it leaves an (huge?!) leak ... !?

Sorry, but I  don't like "cosmetic" term  ;)

Comment 202 Kevin Fenzi 2010-12-08 19:46:01 UTC
The issue here is: 

calibre launches of a number of threads in parallel when you run it. 
They each do various things in order to keep the application responsive and working. 
When you exit, each of those threads should report back to the main thread that it's exiting and quit, then the main thread exits. 
Somehow that last bit of communication is not working here. So, when you quit, everything quits, but the main thread doesn't hear back that the sub threads have quit. 

No memory is left behind. The application completely quits. 
No problems are left in the calibre application data. Everything syncs out fine and is in proper order for running it next time. 

Hope that helps.

Comment 203 Jan Vlug 2010-12-25 21:06:10 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. opening problematic pdf file.

Comment 204 TFH 2010-12-27 19:31:43 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Converting an azw file caused crash
2.
3.

Comment 205 Edward Hooper 2011-01-01 21:34:53 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Closed application
2.
3.

Comment 206 Arul Dayanand 2011-01-03 11:01:35 UTC
Package: calibre-0.6.55-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.while closing
2.
3.

Comment 207 Ondra Pelech 2011-01-06 01:28:40 UTC
Package: calibre-0.6.55-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. add a few ebooks to en empty collection (pdfs, epubs,... )
2.
3.

Comment 208 Fedora Update System 2011-01-13 00:08:29 UTC
calibre-0.7.38-3.fc14,python-cssutils-0.9.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc14,python-cssutils-0.9.7-1.fc14

Comment 209 Fedora Update System 2011-01-13 00:20:11 UTC
calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13

Comment 210 Fedora Update System 2011-01-13 23:26:24 UTC
calibre-0.7.38-3.fc13, python-cssutils-0.9.7-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calibre python-cssutils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13

Comment 211 Chris Petsch 2011-01-21 22:39:34 UTC
Package: calibre-0.6.55-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1 Cicked on the Upper Left Corner
2. Clicked Close
3.


Comment
-----
Closed application on my machine

Comment 212 Fedora Update System 2011-01-22 20:28:10 UTC
calibre-0.7.38-3.fc13, python-cssutils-0.9.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 213 Fedora Update System 2011-01-22 20:31:59 UTC
calibre-0.7.38-3.fc14, python-cssutils-0.9.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.